Zapier
Create or renew a Zapier webhook subscription
Creates a 21-day Zapier-owned subscription. Target origins are allowlisted by Jointl.
POST
https://api.join.tl
/
api
/
v1
/
webhook-subscriptions
Create or renew a Zapier webhook subscription
curl --request POST \
--url https://api.join.tl/api/v1/webhook-subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eventType": "check.created",
"targetUrl": "https://hooks.zapier.com/hooks/catch/example/example"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
eventType: 'check.created',
targetUrl: 'https://hooks.zapier.com/hooks/catch/example/example'
})
};
fetch('https://api.join.tl/api/v1/webhook-subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.join.tl/api/v1/webhook-subscriptions"
payload = {
"eventType": "check.created",
"targetUrl": "https://hooks.zapier.com/hooks/catch/example/example"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"eventType": "<string>",
"filters": {},
"createdAt": "2023-11-07T05:31:56Z",
"expiration_date": "2023-11-07T05:31:56Z"
},
"requestId": "<string>"
}{
"error": {
"code": "invalid-external-operation-input",
"message": "The operation input is invalid."
},
"requestId": "request_example_400"
}{
"error": {
"code": "not-authenticated",
"message": "Authentication is required."
},
"requestId": "request_example_401"
}{
"error": {
"code": "not-authorized",
"message": "You are not allowed to perform this action."
},
"requestId": "request_example_403"
}{
"error": {
"code": "not-found",
"message": "The requested record was not found."
},
"requestId": "request_example_404"
}{
"error": {
"code": "external-action-conflict",
"message": "The action conflicts with current state."
},
"requestId": "request_example_409"
}{
"error": {
"code": "request-too-large",
"message": "The request body is too large."
},
"requestId": "request_example_413"
}{
"error": {
"code": "too-many-requests",
"message": "Too many requests."
},
"requestId": "request_example_429"
}{
"error": {
"code": "internal-error",
"message": "The request could not be completed."
},
"requestId": "request_example_500"
}{
"error": {
"code": "temporarily-unavailable",
"message": "The service is temporarily unavailable."
},
"requestId": "request_example_503"
}Authorizations
OAuth access token issued for the REST resource.
Body
application/json
Available options:
check.created, check.status_changed, check.completed, verification.completed, verification.failed, public_profiles.completed, public_profiles.failed, reference.completed, employee.created, employee.updated, employee.status_changed, exit_intelligence.requested, exit_intelligence.completed, talent.created, talent.updated, talent.status_changed Show child attributes
Show child attributes
⌘I
Create or renew a Zapier webhook subscription
curl --request POST \
--url https://api.join.tl/api/v1/webhook-subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eventType": "check.created",
"targetUrl": "https://hooks.zapier.com/hooks/catch/example/example"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
eventType: 'check.created',
targetUrl: 'https://hooks.zapier.com/hooks/catch/example/example'
})
};
fetch('https://api.join.tl/api/v1/webhook-subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.join.tl/api/v1/webhook-subscriptions"
payload = {
"eventType": "check.created",
"targetUrl": "https://hooks.zapier.com/hooks/catch/example/example"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"eventType": "<string>",
"filters": {},
"createdAt": "2023-11-07T05:31:56Z",
"expiration_date": "2023-11-07T05:31:56Z"
},
"requestId": "<string>"
}{
"error": {
"code": "invalid-external-operation-input",
"message": "The operation input is invalid."
},
"requestId": "request_example_400"
}{
"error": {
"code": "not-authenticated",
"message": "Authentication is required."
},
"requestId": "request_example_401"
}{
"error": {
"code": "not-authorized",
"message": "You are not allowed to perform this action."
},
"requestId": "request_example_403"
}{
"error": {
"code": "not-found",
"message": "The requested record was not found."
},
"requestId": "request_example_404"
}{
"error": {
"code": "external-action-conflict",
"message": "The action conflicts with current state."
},
"requestId": "request_example_409"
}{
"error": {
"code": "request-too-large",
"message": "The request body is too large."
},
"requestId": "request_example_413"
}{
"error": {
"code": "too-many-requests",
"message": "Too many requests."
},
"requestId": "request_example_429"
}{
"error": {
"code": "internal-error",
"message": "The request could not be completed."
},
"requestId": "request_example_500"
}{
"error": {
"code": "temporarily-unavailable",
"message": "The service is temporarily unavailable."
},
"requestId": "request_example_503"
}